Bug 131308 - [PATCH] audio/ripit fails as recent versions of audio/lame print genre list on stderr
Summary: [PATCH] audio/ripit fails as recent versions of audio/lame print genre list o...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philippe Audeoud
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-02 20:50 UTC by tobias.rehbein
Modified: 2009-02-05 15:00 UTC (History)
0 users

See Also:


Attachments
ripit-3.6-0_1.diff (2.42 KB, patch)
2009-02-02 20:50 UTC, tobias.rehbein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tobias.rehbein 2009-02-02 20:50:02 UTC
	
	"lame --genre-list" used to print the genre list on stdout. This has changed recently. The list is now printed on stderr. The ripit script has to be changed accordingly.

	Note: I reported this problem upstream.
Comment 1 Edwin Groothuis freebsd_committer 2009-02-02 20:51:06 UTC
Maintainer of audio/ripit,

Please note that PR ports/131308 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/131308

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-02-02 20:51:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Oyvind Moll 2009-02-03 17:01:13 UTC
Patch looks good -- please commit.

-- 
   Ãyvind Møll
   oyvind@moll.no
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2009-02-03 22:08:37 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Philippe Audeoud freebsd_committer 2009-02-05 14:37:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jadawin

I'll take it.
Comment 6 dfilter service freebsd_committer 2009-02-05 14:57:27 UTC
jadawin     2009-02-05 14:57:16 UTC

  FreeBSD ports repository

  Modified files:
    audio/ripit          Makefile 
  Added files:
    audio/ripit/files    patch-ripit.pl 
  Log:
  - Add patch to fix lame --genre-list
  - Bump PORTREVISION
  
  PR:             ports/131308
  Submitted by:   Tobias Rehbein <tobias.rehbein at web.de> (maintainer)
  
  Revision  Changes    Path
  1.26      +1 -0      ports/audio/ripit/Makefile
  1.1       +42 -0     ports/audio/ripit/files/patch-ripit.pl (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Philippe Audeoud freebsd_committer 2009-02-05 14:57:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!